Please help, I've searched around loads and can't seem to find a solution that works.

I recently removed libre office and installed open office. After trying to reinstall libreoffice. I now can't install anything with apt-get

Forgive me but I'm new and I can't seem to figure out how to post big blocks of code. I get the following output when clicking "repair" in ubuntu software centre. Running Ubuntu 14.04.

image

installArchives() failed: (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 584380 files and directories currently installed.) Removing ure-dbg (4.4.2~rc2-0ubuntu1~trusty1) ... Removing uno-libs3-dbg (4.4.2~rc2-0ubuntu1~trusty1) ... (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 584319 files and directories currently installed.) Preparing to unpack .../libreoffice-common_1%3a4.2.7-0ubuntu2_all.deb ... Unpacking libreoffice-common (1:4.2.7-0ubuntu2) ... dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.7-0ubuntu2_all.deb (--unpack): trying to overwrite '/usr/bin/soffice', which is also in package openoffice-debian-menus 4.1.1-9775 rmdir: failed to remove /var/lib/libreoffice/share/prereg/: No such file or directory rmdir: failed to remove /var/lib/libreoffice/share/: No such file or directory rmdir: failed to remove /var/lib/libreoffice/program/: No such file or directory rmdir: failed to remove /var/lib/libreoffice: No such file or directory rmdir: failed to remove /var/lib/libreoffice: No such file or directory Processing triggers for shared-mime-info (1.2-0ubuntu3) ... Unknown media type in type 'all/all' Unknown media type in type 'all/allfiles' Unknown media type in type 'uri/mms' Unknown media type in type 'uri/mmst' Unknown media type in type 'uri/mmsu' Unknown media type in type 'uri/pnm' Unknown media type in type 'uri/rtspt' Unknown media type in type 'uri/rtspu' Processing triggers for man-db (2.6.7.1-1ubuntu1) ... Processing triggers for mime-support (3.54ubuntu1.1) ... Processing triggers for gnome-menus (3.10.1-0ubuntu2) ... Processing triggers for desktop-file-utils (0.22-1ubuntu1) ... Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ... Rebuilding /usr/share/applications/bamf-2.index... Processing triggers for hicolor-icon-theme (0.13-1) ... Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ... Errors were encountered while processing: /var/cache/apt/archives/libreoffice-common_1%3a4.2.7-0ubuntu2_all.deb Error in function: dpkg: dependency problems prevent configuration of libreoffice-l10n-ml: libreoffice-l10n-ml depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-ml (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-mn: libreoffice-l10n-mn depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-mn (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-mk: libreoffice-l10n-mk depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-mk (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-mr: libreoffice-l10n-mr depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-mr (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-gl: libreoffice-l10n-gl depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-gl (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-gd: libreoffice-l10n-gd depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-gd (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-ga: libreoffice-l10n-ga depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-ga (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-gu: libreoffice-l10n-gu depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-gu (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-kmr-latn: libreoffice-l10n-kmr-latn depends on libreoffice-common; however:
Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-kmr-latn (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-ss: libreoffice-l10n-ss depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-ss (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-sr: libreoffice-l10n-sr depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-sr (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-sv: libreoffice-l10n-sv depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-sv (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-st: libreoffice-l10n-st depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-st (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-sk: libreoffice-l10n-sk depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-sk (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-si: libreoffice-l10n-si depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-si (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-sl: libreoffice-l10n-sl depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-sl (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-pt-br: libreoffice-l10n-pt-br depends on libreoffice-common; however:
Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-pt-br (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-nr: libreoffice-l10n-nr depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-nr (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-ne: libreoffice-l10n-ne depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-ne (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-nb: libreoffice-l10n-nb depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-nb (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-nl: libreoffice-l10n-nl depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-nl (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-nn: libreoffice-l10n-nn depends on libreoffice-common; however: Package libreoffice-common is not installed.

dpkg: error processing package libreoffice-l10n-nn (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of libreoffice-l10n-zu: libreoffice-l10n-zu depends on libreoffice-common; however: Package libreoffice-common is not installed.

  • It appears you can not have openoffice and libreoffice installed at the same time. Use one or the other. If you wish to return to libre, completely remove open. Read the error message "dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.7-0ubuntu2_all.deb (--unpack): trying to overwrite '/usr/bin/soffice', which is also in package openoffice-debian-menus 4.1.1-9775 " – Panther Apr 7 '15 at 12:55

BACK UP IMPORTANT FILES FIRST

Type the following in terminal to remove libreoffice and openoffice:

sudo apt-get remove --purge libreoffice* openoffice*
sudo apt-get clean
sudo apt-get autoremove

Then install one or the other, this seems to be the only way.

sudo apt-get install libreoffice

OR

sudo apt-get install openoffice

If it is not found

sudo add-apt-repository ppa:upubuntu-com/office 
sudo apt-get update
sudo apt-get install openoffice
  • Thanks! I can now install things. However, I'm now getting error after installing libreoffice in the way you suggest: E: Unable to correct problems, you have held broken packages. – James Apr 7 '15 at 13:52
  • Did you - sudo apt-get update – Mark Kirby Apr 7 '15 at 13:57
  • 1
    Sorry for the late reply, I had to go back to work, do you still need help with this ? If so please run- sudo apt-get install libreoffice -and post the exact error, if its to long for long add it to the question. – Mark Kirby Apr 18 '15 at 7:27
  • 1
    Hi Mark, no problem. Thank you so far for all your help. The problem is at one of my work computers which I don't have access to until Monday. I ended up re-installing openoffice which works fine and I'm not having any problems doing apt-get install anymore. I assume it's to do with the conflict between libre and open office. – James Apr 18 '15 at 11:03
  • 1
    Ok, if you are happy with open then use that, but feel free to post here if you would liked to try fix it again. – Mark Kirby Apr 21 '15 at 5:09

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.